Add component
POST
/status-pages/{id}/components
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsonname
string
REQUIRED
description
unknown
monitor_id
unknown
Responses
201
Component added
No response body
curl -X POST 'https://happyuptime.com/api/v1/status-pages/string/components' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "description": "string", "monitor_id": "string"}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/components', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "description": "string", "monitor_id": "string" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://happyuptime.com/api/v1/status-pages/string/components', headers=headers, json={ "name": "string", "description": "string", "monitor_id": "string"})print(response.json())
API Playground
Try this endpoint
POST
/status-pages/{id}/components